Page MenuHome

Cycles: Reducing amount of operations per intersect check
ClosedPublic

Authored by Max (maxim_d33) on Nov 6 2017, 10:04 AM.

Diff Detail

Repository
rB Blender

Event Timeline

I can confirm significant speedups.

Though there's some render differences as well, same darkening happens with both CPU and CUDA. I guess the intersection is no longer watertight?

OldNew
Max (maxim_d33) added a comment.EditedNov 7 2017, 11:06 AM

thanks for checking

any option for me to try your scene(s) ?
I've used other ones.

  • will keep cross() related calculation to do not break watertightness but gain some perf improvements

Benchmarks now render identical, and still faster even if not as much as before. So I'll commit it, thanks!

Intel i7-4790K, Ubuntu Linux

bmw27-1.52%
classroom-1.02%
fishy_cat-0.87%
koro0.05%
pabellon-1.76%

NVidia Titan Xp, Ubuntu Linux

bmw27-1.67%
classroom-1.81%
fishy_cat-1.04%
koro-1.08%
pabellon-4.26%
This revision is now accepted and ready to land.Nov 28 2017, 5:58 AM

@Brecht Van Lommel (brecht), have similar results on i7-6950X. Will leave it up to you to commit.

Closed by commit rB7e349f27457a: Cycles: improve triangle intersection performance. (authored by Maxym Dmytrychenko <maxim_d33>, committed by Brecht Van Lommel (brecht)). · Explain WhyNov 29 2017, 6:13 PM
This revision was automatically updated to reflect the committed changes.